Msg
Date: 2013-11-17

org.simgrid.msg

## Class Msg

- java.lang.Object
- - org.simgrid.msg.Msg

-     public final class Msg
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Msg()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clean()` Deprecated.
    `static void` | `createEnvironment(java.lang.String platformFile)` The native implemented method to create the environment of the simulation.
    `static void` | `critical(java.lang.String s)` Issue an critical logging message.
    `static void` | `debug(java.lang.String s)` Issue a debug logging message.
    `static void` | `deployApplication(java.lang.String deploymentFile)` The method to deploy the simulation.
    `static As` | `environmentGetRoutingRoot()`
    `static void` | `error(java.lang.String s)` Issue an error logging message.
    `static double` | `getClock()` Retrieve the simulation time
    `static void` | `info(java.lang.String s)` Issue an information logging message
    `static void` | `init(java.lang.String[] args)` The natively implemented method to initialize a MSG simulation.
    `static void` | `main(java.lang.String[] args)` Example launcher.
    `static void` | `nativeInit()`
    `static void` | `run()` Run the MSG simulation.
    `static void` | `verb(java.lang.String s)` Issue an verbose logging message.
    `static void` | `warn(java.lang.String s)` Issue an warning logging message.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Msg

          public Msg()

  - ### Method Detail

    - #### nativeInit

          public static void nativeInit()

    - #### getClock

          public static final double getClock()

      Retrieve the simulation time
      Returns:
        The simulation time.

    - #### debug

          public static final void debug(java.lang.String s)

      Issue a debug logging message.
      Parameters:
        `s` - message to log.

    - #### verb

          public static final void verb(java.lang.String s)

      Issue an verbose logging message.
      Parameters:
        `s` - message to log.

    - #### info

          public static final void info(java.lang.String s)

      Issue an information logging message
      Parameters:
        `s` -

    - #### warn

          public static final void warn(java.lang.String s)

      Issue an warning logging message.
      Parameters:
        `s` - message to log.

    - #### error

          public static final void error(java.lang.String s)

      Issue an error logging message.
      Parameters:
        `s` - message to log.

    - #### critical

          public static final void critical(java.lang.String s)

      Issue an critical logging message.
      Parameters:
        `s` - message to log.

    - #### init

          public static final void init(java.lang.String[] args)

      The natively implemented method to initialize a MSG simulation.
      Parameters:
        `args` - The arguments of the command line of the simulation.

    - #### run

          public static final void run()

      Run the MSG simulation. The simulation is not cleaned afterward (see `clean()` if you really insist on cleaning the C side), so you can freely retrieve the informations that you want from the simulation. In particular, retrieving the status of a process or the current date is perfectly ok.

    - #### clean

          @Deprecated
          public static final void clean()

      Deprecated.
      This function is useless nowadays, just stop calling it.

    - #### createEnvironment

          public static final void createEnvironment(java.lang.String platformFile)

      The native implemented method to create the environment of the simulation.
      Parameters:
        `platformFile` - The XML file which contains the description of the environment of the simulation

    - #### environmentGetRoutingRoot

          public static final As environmentGetRoutingRoot()

    - #### deployApplication

          public static final void deployApplication(java.lang.String deploymentFile)

      The method to deploy the simulation.
      Parameters:
        `deploymentFile` -

    - #### main

          public static void main(java.lang.String[] args)
                           throws MsgException

      Example launcher. You can use it or provide your own launcher, as you wish
      Parameters:
        `args` -
      Throws:
        `MsgException`